/*
 * Sorter.java  E.L. 2004-03-20
 *
 */
package mittBibliotek;
import java.text.Collator;
public class Sorter {

  /*
   * Fil: Sorter.java. Pakke: mittBibliotek. Klasse: Sorter.
   * Sorterer heltall ved hjelp av sorteringsmetoden "Sorter ved utvelgelse".
   */
  public static void sorterHeltallstabell(int[] tabell) {
    for (int start = 0; start < tabell.length; start++) {
      int hittilMinst = start;
      for (int i = start + 1; i < tabell.length; i++) {
        if (tabell[i] < tabell[hittilMinst]) hittilMinst = i;
      }
      int hjelp = tabell[hittilMinst];
      tabell[hittilMinst] = tabell[start];
      tabell[start] = hjelp;
    }
  }

  /*
   * Fil: Sorter.java. Pakke: mittBibliotek. Klasse: Sorter.
   * Sorterer tekster i henhold til systeminnstillingene.
   * Bruker sorteringsmetoden "Sorter ved utvelgelse".
   */

  public static void sorterTekstLocale(String[] tabell) {
    Collator kollator = Collator.getInstance();
    for (int start = 0; start < tabell.length; start++) {
      int hittilMinst = start;
      for (int i = start + 1; i < tabell.length; i++) {
        /* Vi sammenligner to tekster ved  sende en melding til kollatorobjektet */
        if (kollator.compare(tabell[i], tabell[hittilMinst]) < 0) hittilMinst = i;
      }
      String hjelp = tabell[hittilMinst];
      tabell[hittilMinst] = tabell[start];
      tabell[start] = hjelp;
    }
  }
}