/*
 * DatabaseTjener.java   E.L. 2004-03-30
 *
 * Klassen genererer et fabrikkobjekt for databasekontakt og registrerer dette i rmi-registeret.
 * Setter opp forbindelse til en bestemt Oracle-database.
 *
 * Rmi-registeret startes fra katalogen over mittBibliotek.
 */
package mittBibliotek.database1_4;
import java.rmi.Naming;
import javax.swing.JOptionPane;

class DatabaseTjener {
  public static void main(String[] args) throws Exception {
    String dbDriver = "oracle.jdbc.driver.OracleDriver";
    String dbNavn = "jdbc:oracle:thin:@baron.stud.idb.hist.no:1521:orcl";
    String brukernavn = JOptionPane.showInputDialog("Brukernavn: ");
    String passord = JOptionPane.showInputDialog("Passord: ");
    int feilkode = 1;  // Oracle feilkode for duplikate primrnkkelverdier
    int poolKapasitet = 3;
    DbWrapperFabrikkImpl db = new DbWrapperFabrikkImpl(poolKapasitet,
                                  dbDriver, dbNavn, brukernavn, passord, feilkode);
    Naming.rebind("Persondatabase", db);
    JOptionPane.showMessageDialog(null,
                     "N er databasepoolen oppe. Trykk Ok nr den skal stenges.");
    db.stengDatabasePool();
    System.exit(0);
  }
}